"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (got) => {
    return {
        async list() {
            return await got.get(`devices`).json();
        },
        async get({ id }) {
            return await got.get(`devices/${id}`).json();
        },
        async setCustomName({ id, customName, }) {
            await got
                .patch(`devices/${id}`, {
                json: [
                    {
                        attributes: {
                            customName,
                        },
                    },
                ],
            })
                .json();
        },
        async setAttributes({ id, attributes, transitionTime, }) {
            await got
                .patch(`devices/${id}`, {
                json: [
                    {
                        attributes,
                        transitionTime,
                    },
                ],
            })
                .json();
        },
    };
};
