"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (got) => {
    return {
        async list() {
            return await got.get(`rooms`).json();
        },
        async get({ id }) {
            return await got.get(`rooms/${id}`).json();
        },
        // TODO add room management API
        //  * createRoom
        //  * deleteRoom
        //  * moveRoomDevices
        //  * updateRoom
        async setIsOn({ id, deviceType, isOn, }) {
            await got
                .patch(`devices/set/${id}`, {
                searchParams: {
                    deviceType,
                },
                json: [
                    {
                        attributes: {
                            isOn,
                        },
                    },
                ],
            })
                .json();
        },
        async setAttributes({ id, deviceType, attributes, transitionTime, }) {
            await got
                .patch(`devices/room/${id}`, {
                searchParams: {
                    deviceType,
                },
                json: [
                    {
                        attributes,
                        transitionTime,
                    },
                ],
            })
                .json();
        },
    };
};
